Bug 1252847 - Hosts tab throws exception when re-entered
Hosts tab throws exception when re-entered
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
Unspecified Unspecified
medium Severity medium
: ---
: 3.6.0
Assigned To: jniederm
Karolína Hajná
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 07:19 EDT by jniederm
Modified: 2016-05-19 21:24 EDT (History)
11 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:43:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack_trace.txt (2.85 KB, text/plain)
2015-08-12 07:19 EDT, jniederm
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44726 master MERGED webadmin: Fix of IndexOutOfBoundsE in Host tab Never
oVirt gerrit 44757 ovirt-engine-3.6 MERGED webadmin: Fix of IndexOutOfBoundsE in Host tab Never

  None (edit)
Description jniederm 2015-08-12 07:19:20 EDT
Created attachment 1061910 [details]
stack_trace.txt

Description of problem:
Hosts tab throws IndexOutOfBoundsException to browser console when entered second and next time.

Version-Release number of selected component (if applicable):
post 3.6 master, commit ae1ea48

How reproducible:
100%

Steps to Reproduce:
1. Load webadmin, show browser console and clean it
2. Show Hosts tab
3. Show VMs tab
4. Show Hosts tab (again)

Actual results:
Uncaught exception: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0 throw in console

Expected results:
No exception in console
Comment 1 Karolína Hajná 2015-09-16 03:45:57 EDT
Verified on rhevm-3.6.0-0.15.master.el6.noarch
Comment 2 Sandro Bonazzola 2015-11-04 06:43:42 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.